QObjectList(3qt)

NAME
QObjectList - QPtrList of QObjects

SYNOPSIS
#include <qobjectlist.h>

Inherits QPtrList<QObject>.

  Public Members
QObjectList ()
QObjectList ( const QObjectList & list )
~QObjectList ()
QObjectList & operator= ( const QObjectList & list )

DESCRIPTION
The QObjectList class is a QPtrList of QObjects.

A QObjectList is a QPtrList<QObject>. The list can be traversed using inherited functions, e.g. getFirst(), next(), etc., or using a QObjectListIterator iterator.

See QObject::queryList() for an example of use.

See also QObjectListIterator, QObject, Collection Classes, and Non-GUI Classes.

MEMBER FUNCTION DOCUMENTATION

QObjectList::QObjectList ()
Constructs an empty QObject list.

QObjectList::QObjectList ( const QObjectList & list )
Constructs a copy of list.

Each item in list is appended to this list. Only the pointers are copied (shallow copy).

QObjectList::~QObjectList ()
Removes all the object pointers from the list and destroys the list.

All list iterators that access this list will be reset.

See also setAutoDelete().

QObjectList & QObjectList::operator= ( const QObjectList & list )
Assigns list to this list and returns a reference to this list.

This list is first cleared and then each item in list is appended to this list. Only the pointers are copied (shallow copy) unless newItem() has been reimplemented().

SEE ALSO
http://doc.trolltech.com/qobjectlist.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qobjectlist.3qt) and the Qt version (3.2.3).